Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#65254 - [nextcloud] 18.0.0-1 Environment not properly prepared.

Attached to Project: Community Packages
Opened by Moth (Moth) - Friday, 24 January 2020, 11:09 GMT
Last edited by Sergej Pupykin (sergej) - Saturday, 25 January 2020, 21:07 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Sergej Pupykin (sergej)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
Wanted to install Nextcloud

$ sudo pacman -S nextcloud

...

Packages (1) nextcloud-18.0.0-1

...

Nextcloud is not installed - only a limited number of commands are available
Cannot write into "apps" directory
This can usually be fixed by giving the webserver write access to the apps directory or disabling the appstore in the config file. See https://docs.nextcloud.com/server/18/go.php?to=admin-dir_permissions

An unhandled exception has been thrown:
Exception: Environment not properly prepared. in /usr/share/webapps/nextcloud/lib/private/Console/Application.php:167
Stack trace:
#0 /usr/share/webapps/nextcloud/console.php(98): OC\Console\Application->loadCommands(Object(Symfony\Component\Console\Input\ArgvInput), Object(Symfony\Component\Console\Output\ConsoleOutput))
#1 /usr/share/webapps/nextcloud/occ(11): require_once('/usr/share/weba...')
#2 {main}
#2 {main}
error: command failed to execute correctly

Additional info:
* package version: nextcloud-18.0.0-1

Steps to reproduce:
$ sudo pacman -S nextcloud
This task depends upon

Closed by  Sergej Pupykin (sergej)
Saturday, 25 January 2020, 21:07 GMT
Reason for closing:  Not a bug
Comment by Sergej Pupykin (sergej) - Friday, 24 January 2020, 11:31 GMT
It is intended behaviour, apps provided by nextcloud-app-* packages.
Comment by Moth (Moth) - Friday, 24 January 2020, 12:14 GMT
How to properly install Nextcloud in that case?
Comment by Sergej Pupykin (sergej) - Friday, 24 January 2020, 18:51 GMT Comment by Moth (Moth) - Saturday, 25 January 2020, 20:40 GMT

Loading...